/**************************************************
*  FILE:  particle.h	                          *
*  AUTHOR:  Steven Silvey                         *
*  DATE:  7/17/2006                               *
*                                                 *
**************************************************/

#ifndef _PARTICLE_H_
#define _PARTICLE_H_

#include "game.h"

class PARTICLE
{
public:
	bool visible;

	PARTICLE();
	~PARTICLE();

	void create(BITMAP *bPic, float X, float Y, float VX, float VY, float fGravity, int iLife, int delay, float ftrans);
	void draw(BITMAP *bDisplay);
	void update();
	void destroy();	

private:
	float x, vx;
	float y, vy;
	float g;
	int angle;

	int iClear;

	int life;
	int max_life;
	int update_timer;
	int update_delay;

	float fTransparency;

	BITMAP *bImage;
	BITMAP *bTemp;


	void init();

};

#endif

